#!/usr/bin/env python

"""Build / install script for TableIO.

See INSTALL for installation instructions.
"""

from distutils.core import setup, Extension
import sys, os

setup(name = "TableIO",
      version = "1.6",
      licence = "GPL",
      author = "Michael A. Miller",
      author_email = "miller5@uiuc.edu",
      maintainer = "John J. Lee",
      maintainer_email = "jjl@pobox.com",
      description = "Simple, fast, ASCII data table reading and writing.",
      url = "http://www.XXX/",  # required to make rpm

      extra_path = ["TableIO"],
      py_modules = ["__init__", "TableIO"],
      ext_modules = [Extension("_tableio", ["_tableio.c"])],
      )
